@import url("https://fonts.cdnfonts.com/css/blanquotey");
@import url('https://fonts.googleapis.com/css2?family=Inter:wght@400;700&display=swap');

html, body {
  margin: 0;
  padding: 0;
  width: 100%;
  height: 100vh;
  overflow: auto;
  background-color: transparent; 
  font-family: "Inter", sans-serif;
}

#textContainer {
    position: absolute;
    width: 100%;
    height: 100%;
    top: 0;
    left: 0;
    z-index: 1!important; /* 确保文字容器在最前面 */
    /* border: 5px solid red; */
}

/* 强制文字显示在最前面 */
#textContainer > * {
    position: absolute;
    z-index: 95; 
    color: #000; 
    pointer-events: none; /* 让鼠标穿透文字，直接和后面的画布交互 */
}

canvas {
    position: absolute;
    top: 0;
    left: 0;
    display: block;
    width: 100%;
    height: 100%;
    z-index: -1 !important;/* 确保画布在最底层 */
    pointer-events: none;
}

.site-header {
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    z-index: 100; 
    margin: 0;
    padding: 0;
    pointer-events: none; 
}

.logo-text {
    font-size: calc(2px + 1vw); 
    font-weight: normal; 
    margin: 0;
    position: absolute; 
    left: 5vw; 
    top: 0.6vw;
    color: #000;
    pointer-events: auto;
    cursor: pointer;
}

.navigation-svg {
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    z-index: 50000; 
    pointer-events: none; 
}
.navigation-svg text {
    pointer-events: auto;
    cursor: pointer;
}

.bg-image {
    position: fixed; 
    top: 650px;
    left: 0;
    width: 100vw;
    height: auto;
    z-index: 3;
    pointer-events: none;
}
#intro-loader {
    position: fixed;
    top: 0;
    left: 0;
    width: 100vw;
    height: 100vh;
    background-color: #fff;
    display: flex;
    justify-content: center;
    align-items: center;
    z-index: 100000; 
}

.shadow-image {
  position: relative; 
  display: inline-block; 

}


.shadow-image::before {
  content: "";
  position: absolute;
  top: 30px;
  left: 30px;
  width: 100%;
  height: 100%;
  background: #00000090;
    filter: blur(20px);
  
  z-index: 1;                  /* 放在图片下面 */
}

/* 图片在阴影上方 */
.shadow-image img {
  display: block;              /* 消除图片默认的空隙 */
  position: relative;
  z-index: 2;                  /* 上层显示 */
  width: 100%;
  height: auto;
  object-fit: cover;           /* 按需使用 */
}